Uploaded image for project: 'Swift'
  1. Swift
  2. SR-205

Can't build swiftpm Project in Xcode after installing new swift-2.2-SNAPSHOT-2015-12-10-a

    XMLWordPrintable

    Details

      Description

      The project was working fine. Then I've installed new Swift Toolchain and got an error.

      Xcode ErrorLog:

      CopySwiftLibs DerivedData/swiftpm/Build/Products/Debug/PackageDescription-tests.xctest
          cd /Users/konstantin/Work/apple/swiftpm/Support
          export CODESIGN_ALLOCATE=/Applications/Xcode-beta.app/Contents/Developer/Toolchains/XcodeDefault.xctoolchain/usr/bin/codesign_allocate
          /Library/Developer/Toolchains/swift-latest.xctoolchain/usr/bin/swift-stdlib-tool --copy --verbose --sign - --scan-executable /Users/konstantin/Work/apple/swiftpm/Support/DerivedData/swiftpm/Build/Products/Debug/PackageDescription-tests.xctest/Contents/MacOS/PackageDescription-tests --scan-folder /Users/konstantin/Work/apple/swiftpm/Support/DerivedData/swiftpm/Build/Products/Debug/PackageDescription-tests.xctest/Contents/Frameworks --scan-folder /Users/konstantin/Work/apple/swiftpm/Support/DerivedData/swiftpm/Build/Products/Debug/PackageDescription-tests.xctest/Contents/PlugIns --platform macosx --destination /Users/konstantin/Work/apple/swiftpm/Support/DerivedData/swiftpm/Build/Products/Debug/PackageDescription-tests.xctest/Contents/Frameworks --strip-bitcode
      
      /Library/Developer/Toolchains/swift-latest.xctoolchain/usr/bin/swift-stdlib-tool: line 23: conditional binary operator expected
      /Library/Developer/Toolchains/swift-latest.xctoolchain/usr/bin/swift-stdlib-tool: line 23: syntax error near `"$tool"'
      /Library/Developer/Toolchains/swift-latest.xctoolchain/usr/bin/swift-stdlib-tool: line 23: `if [[ ! -fx "$tool" ]]; then'
      Command /Library/Developer/Toolchains/swift-latest.xctoolchain/usr/bin/swift-stdlib-tool failed with exit code 2
      

      Steps:
      1. Have installed previous SNAPSHOT and use swiftpm project
      https://swift.org/builds/xcode/swift-2.2-SNAPSHOT-2015-12-01-a/swift-2.2-SNAPSHOT-2015-12-01-a-osx.pkg

      2. Install new Snapshot. https://swift.org/builds/xcode/swift-2.2-SNAPSHOT-2015-12-10-a/swift-2.2-SNAPSHOT-2015-12-10-a-osx.pkg

      3. Open swiftmp Xcode project and try to compile.

        Attachments

          Activity

            People

            Assignee:
            Unassigned Unassigned
            Reporter:
            kkoval Kostiantyn Koval
            Votes:
            1 Vote for this issue
            Watchers:
            2 Start watching this issue

              Dates

              Created:
              Updated:
              Resolved: